# StructureDataMaterial

data class StructureDataMaterial(material: Material) : StructureData
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Material
Content copied to clipboard
copy
Link copied to clipboard
fun copy(material: Material): StructureDataMaterial
Content copied to clipboard
createAt
Link copied to clipboard
open override fun createAt(loc: Location)
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

material
Link copied to clipboard
val material: Material
Content copied to clipboard